import { SGraphyScene } from '@saga-web/graphy/lib';
import { SMouseEvent } from '@saga-web/base/lib';
import { SPoint } from '@saga-web/draw/lib';
import { SFloorParser, SImageItem,STextItem,SLineItem,SPolylineItem } from "@saga-web/big";

export class FloorScene extends SGraphyScene {
  isLining: boolean = false;



  onMouseDown(event: SMouseEvent): boolean {
    if (this.isLining) {
      if (this.grabItem instanceof SPolylineItem) {
        return super.onMouseDown(event);
      } else {
        const item = new SPolylineItem(null, new SPoint(event.x, event.y));
        this.addItem(item);
        this.grabItem = item;
        return true;
      }
    } else {
      return super.onMouseDown(event);
    }
  }
}